Bug 190845 - Review Request: sblim
Review Request: sblim
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-05 13:29 EDT by Jason Vas Dias
Modified: 2013-01-09 20:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 14:17:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2006-05-05 13:29:52 EDT
Spec URL: http://people.redhat.com/~jvdias/sblim.spec
SRPM URL: http://people.redhat.com/~jvdias/sblim-1.0.src.rpm

Description:

As requested by IBM with bug 182276, and agreed to by RHEL management with
an exception, we need to ship the IBM sblim packages in RHEL-4, and RHEL-5 .

SBLIM stands for "Standards Based Linux Instrumentation for Manageability",
and consists of a set of CIM/WBEM provider modules, command line utilities,
and development libraries.

The "sblim-1-0" single component main package contains these sub-packages:

sblim-cmpi-base-1.5.4-3.i386.rpm        sblim-gather-devel-2.1.0-1.i386.rpm
sblim-cmpi-base-devel-1.5.4-3.i386.rpm  sblim-gather-provider-2.1.0-1.i386.rpm
sblim-cmpi-base-test-1.5.4-3.i386.rpm   sblim-gather-test-2.1.0-1.i386.rpm
sblim-cmpi-devel-1.0.4-1.i386.rpm       sblim-testsuite-1.2.4-1.i386.rpm
sblim-gather-2.1.0-1.i386.rpm           sblim-wbemcli-1.5.1-1.i386.rpm


The sblim-cmpi*, sblim-wbemcli*, and sblim-testsuite* were previously shipped
in Fedora Extras. As all these packages are really tiny, and all are very
closely related, I thought it made sense to ship them all in one "container"
RPM, so there only needs to be one new "sblim" component. There are @20 other
upstream sblim modules that we may need to consider shipping in the future.

I've 'cvs-import'ed the the 'sblim' module into devel/ - please add it to the
dist-fc6 and dist-4E collections so we can ship it in RHEL-4 - thanks!
Comment 1 Jesse Keating 2006-05-05 13:47:27 EDT
I'll be happy to review the package for quality purposes, however why would we
need this in Core?  Why can't it live in Extras?
Comment 2 Jason Vas Dias 2006-05-05 14:03:55 EDT
IBM have formally requested this package for RHEL-4, and it has been granted
an exception for inclusion in RHEL-4-U4, so it must also be in RHEL-5, and
hence in FC-6.  Also, the emerging technologies group has been investigating
use of CIM/WBEM recently as a core technology for enterprise management. 
Fedora needs core standards based management infrastructure that software
developers and vendors like IBM can depend on being in every OS distribution -
sblim fits into that category for IBM.
Comment 3 Jesse Keating 2006-05-05 14:20:07 EDT
Needing to be in RHEL5 does not mean it needs to be in FC-6.  There is no more
rule that it has to be in Core to be in RHEL.  Period.  Extras is perfectly
suitable for a management suite, and Extras software can be used within RHEL.

Punting this to an extras review, but still doing the review.

Well, I can't do the review, 404 on the spec file.
Comment 4 Jason Vas Dias 2006-05-05 15:04:11 EDT
Oops, sorry, the URL should have been: http://people.redhat.com/~jvdias/sblim/*
I've created the original URLs as well. 

NOTE: sblim is already in Extras, so this is not an extras review request - this
is a request to add the packages to core.
Comment 5 Jesse Keating 2006-05-05 15:08:48 EDT
Ah, if its already in Extras, and you've gotten it imported for RHEL, there is
no reason to move it to Core.  Closing bug.
Comment 6 Jason Vas Dias 2006-05-05 15:16:58 EDT
Sorry for not being clearer: there are some sblim* packages in Extras, but they
need to be moved to Core, and the new sblim package ships all existing Extras
sblim package in a single package, plus the new sblim-gather package, that was
specifically requested by IBM. 
No, I have not gotten sblim imported into RHEL-4 yet - that is what I am trying
to do, and was told to raise this Review Request.

In short: sblim needs to be in both Core and RHEL-4 . 

Please let me know if there is anything further I need to do to make this happen
- thanks.

Comment 7 Jesse Keating 2006-05-05 15:27:21 EDT
I'm sorry, I still don't follow.  A package that exists in Extras can be
imported into internal CVS and used for RHEL.  It needs not be in Core for this
to happen.  It would be better to work with the current sblim maintianers within
Extras and help them to create the monolithic package you're speaking of, and
that could be imported into RHEL-4.  Again, there is no need to bring them into
Core for this to happen.
Comment 8 Bill Nottingham 2006-05-08 14:13:33 EDT
OK, so.... this feature request is because of a RHEL 4 feature request that
involves adding software a) to enable third-party monitoring software b) on a
platform we don't even ship in Fedora Core (zSeries.)

I don't see how this is relevant for Core at all. This should be an extras
review, if new code is being added there.

Note You need to log in before you can comment on or make changes to this bug.